Glue Up API
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
User CollectionEvent Collection
Subscription CollectionMembership CollectionFinance Collection
  1. Event Collection
  • Retrieve the Event List
    POST
  • Retrieve the Event List by Status
    POST
  • Retrieve the User Events
    POST
  • Retrieve the Attendee Form List
    POST
  • Retrieve the Attendee Form By Id
    GET
  • Retrieve the Attendee Form Fields
    GET
  • Retrieve the Attendee List
    POST
  1. Event Collection

Retrieve the Event List by Status

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/event/list/{status}
This endpoint is used to retrieve a list of Event Model by status.

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Event list by status returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/event/list/' \
--header 'a;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [
        "id",
        "title",
        "subTitle",
        "summary",
        "language.code",
        "startDateTime",
        "endDateTime",
        "venueInfo",
        "template"
    ],
    "limit": 15,
    "offset": 0,
    "filter": [
        {
            "projection": "published",
            "operator": "eq",
            "values": [
                true
            ]
        },
        {
            "projection": "openToPublic",
            "operator": "eq",
            "values": [
                true
            ]
        }
    ],
    "order": {
        "startDateTime": "asc"
    },
    "language": {
        "code": "en"
    }
}'
Response Response Example
[
    {
        "id": 7674,
        "language": {
            "code": "en"
        },
        "title": "Summer Party",
        "startDateTime": 1563465601000,
        "endDateTime": 1564243201000,
        "venueInfo": {
            "timezone": "Asia/Shanghai",
            "name": "Chaoyang Park",
            "cityName": "Beijing",
            "country": {
                "code": "CN",
                "name": "China"
            },
            "map": {
                "latitude": 39.940146,
                "longitude": 116.481686,
                "zoom": 14
            }
        },
        "hasTemplate": false,
        "published": true,
        "template": {
            "id": "5d2d3272e4b0a236f1df0906",
            "duplicateTemplateId": "",
            "templateId": "eventify"
        }
    }
]
Modified at 2026-06-11 06:40:13
Previous
Retrieve the Event List
Next
Retrieve the User Events
Built with